using System.ComponentModel;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///  机械臂521
    /// </summary>
    [Description("521")]
    public interface IRobot521 : IProtocol
    {
        [Description("起始地址")]
        short AddrFrom { get; set; }
        [Description("目标地址")]
        short AddrTo { get; set; }
        [Description("货物类型")]
        short GoodsType { get; set; }
        [Description("任务数量")]
        short TaskQty { get; set; }
        [Description("请求指令")]
        RobotRqst Rqst { get; set; }
        [Description("凭证号")]
        short VoucherNo { get; set; }
        [Description("运行模式")]
        RobotMode Mode { get; set; }
        [Description("运行状态")]
        RobotRunStatus Status { get; set; }
        [Description("报警")]
        short Alarm { get; set; }
        float Runtime { get; set; }
        [Description("任务1")]
        int Task1 { get; set; }
        [Description("任务2")]
        int Task2 { get; set; }
        [Description("任务3")]
        int Task3 { get; set; }
    }
}
